Subject: Re: [PATCH -next reresend] i2c: designware-pcidrv depends on PCI

From: Ben Dooks <[email-masked]>
Date: Tue, 19 Apr 2011 22:45:04 +0100

On Wed, Apr 13, 2011 at 08:38:55AM +1000, Stephen Rothwell wrote:
> Hi Jean, Ben,
> 
> On Tue, 12 Apr 2011 11:47:22 +0200 Jean Delvare <[email-masked]> wrote:
> >
> > On Sat, 9 Apr 2011 13:34:49 +0200, Geert Uytterhoeven wrote:
> > > On Fri, Apr 8, 2011 at 17:32, Randy Dunlap <[email-masked]> wrote:
> > > > From: Randy Dunlap <[email-masked]>
> > > >
> > > > i2c-designware-pcidrv is a PCI driver and should depend on PCI.
> > > > Fixes these build errors:
> > > >
> > > > drivers/i2c/busses/i2c-designware-pcidrv.c:256: error: implicit declaration of function 'pci_request_region'
> > > > drivers/i2c/busses/i2c-designware-pcidrv.c:338: error: implicit declaration of function 'pci_release_region'
> > > >
> > > > Signed-off-by: Randy Dunlap <[email-masked]>
> > > > Cc: Baruch Siach <[email-masked]>
> > > > ---
> > > >  drivers/i2c/busses/Kconfig |    1 +
> > > >  1 file changed, 1 insertion(+)
> > > >
> > > > Does anybody merge i2c patches???
> > > 
> > > Yes please, it's been there since Mar 17, reported several times, and probably
> > > masking other build failures.
> > 
> > This bug only exists in linux-next, as the code in question wasn't
> > merged in Linus's tree yet. It is drawn into linux-next from Ben
> > Dooks's next-i2c branch:
> >   http://git.fluff.org/gitweb?p=bjdooks/linux.git;a=shortlog;h=refs/heads/next-i2c
> > 
> > This is where it has to be fixed, so only Ben can do it. Ben, please?
> > 
> > Meanwhile, it should be possible to apply a hot fix to linux-next
> > directly, Stephen does it pretty often. Stephen, could you please apply
> > this fix temporarily until Ben wakes up and applies it to his tree?
> 
> I will apply this patch as a merge fixup from today (if it is still
> needed).  I also have a patch being applied to that tree to add an
> include of linux/delay.h to drivers/i2c/busses/i2c-designware-core.c .

I've not gotten around to fixing the rebase of the driver to the
latest source code, I'll try and get around to it in the next few
days unless someone sends a new copy of the patch.
 
> Ben?
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/

-- 
Ben Dooks, [email-masked], http://www.fluff.org/ben/

Large Hadron Colada: A large Pina Colada that makes the universe disappear.